function outputModel = calculateModelOutput(obj,input,output)
% Evaluation of the function, that is defined in the functionHandle
% property of the functionVisualization-class
%
% outputModel = calculateModelOutput(obj,input,output)
%
% INPUTS
%
% OUTPUTS
%

% Julian Belz, 02-July-2012
% Institut für Mess- und Regelungstechnik, Universität Siegen, Deutschland
% Institute of Measurement and Control, University of Siegen, Germany
% Copyright (c) 2011 by Oliver Nelles

if nargin < 2
    error('Not enough arguments passed.');
elseif nargin == 2
    outputModel = obj.functionHandle(input);
elseif nargin == 3
    outputModel = obj.functionHandle(input,output);
else
    error('Too much information.');
end



end